Add verify job for nolabs app 65/2165/3
authorFatih Degirmenci <fdegir@gmail.com>
Fri, 6 Sep 2019 10:40:09 +0000 (12:40 +0200)
committerFatih Degirmenci <fdegir@gmail.com>
Fri, 6 Sep 2019 10:45:58 +0000 (12:45 +0200)
This is a simple job to ensure the container image
could be built.

Change-Id: I163f885cbec480f9cc16f2152497087d17ededc2

jjb/nolabs/nolabs-jobs.yaml [new file with mode: 0644]
jjb/nolabs/verify-build.sh [new file with mode: 0644]

diff --git a/jjb/nolabs/nolabs-jobs.yaml b/jjb/nolabs/nolabs-jobs.yaml
new file mode 100644 (file)
index 0000000..fcbdbcb
--- /dev/null
@@ -0,0 +1,100 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+- project:
+    name: 'nolabs'
+
+    project: 'infra/engine'
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'nolabs-verify-{stream}'
+
+- job-template:
+    name: 'nolabs-verify-{stream}'
+
+    concurrent: false
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{branch}'
+      - nordix-gerrit-parameters
+      - label:
+          name: SLAVE_LABEL
+          default: 'nolabs'
+          description: 'Slave label to schedule this job on.'
+
+    properties:
+      - logrotate
+      - build-blocker:
+          use-build-blocker: true
+          blocking-jobs:
+            - 'nolabs-.*'
+          block-level: 'NODE'
+      - throttle:
+          max-per-node: 1
+          max-total: 1
+          option: project
+
+    wrappers:
+      - build-timeout:
+          timeout: 10
+      - fix-workspace-permissions
+
+    scm:
+      - git-scm-gerrit:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{branch}'
+          refspec: $GERRIT_REFSPEC
+          wipe_workspace: true
+          clean_before: false
+
+    triggers:
+      - gerrit:
+          server-name: 'Nordix Gerrit'
+          trigger-on:
+            - patchset-created-event:
+                exclude-drafts: 'false'
+                exclude-trivial-rebase: 'false'
+                exclude-no-code-change: 'false'
+            - draft-published-event
+            - comment-added-contains-event:
+                comment-contains-value: 'recheck'
+            - comment-added-contains-event:
+                comment-contains-value: 'reverify'
+          projects:
+            - project-compare-type: 'REG_EXP'
+              project-pattern: 'nolabs'
+              branches:
+                - branch-compare-type: 'ANT'
+                  branch-pattern: '**/{branch}'
+              file-paths:
+                - compare-type: 'ANT'
+                  pattern: '**'
+
+    builders:
+      - shell:
+          !include-raw-escape: ./verify-build.sh
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/nolabs/verify-build.sh b/jjb/nolabs/verify-build.sh
new file mode 100644 (file)
index 0000000..5761f81
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+cd $WORKSPACE
+app=nolabs-verify-${BUILD_ID}
+echo "Building the container image nolabs-verify-${BUILD_ID}"
+echo "-------------------------------------------------------------------------"
+docker build -t $app .
+echo "-------------------------------------------------------------------------"
+echo "Build successful!"
+docker rmi -f $app > /dev/null